/notifications/{notification_id}/logs Returns a paginated list of notification logs for a notification. A log includes information about delivery attempts, including failures.
Notifications older than 90 days aren't retained. If you try to list logs for a notification that's no longer retained, Paddle returns an error.
notification.read
permission.
Path parameters
Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
Header parameters
true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.Response (200)
ntflog_01gyfq570sy1nsv2123sbs68kvntflog_.^ntflog_[a-z\d]{26}$200text/plain; charset=UTF-82024-10-12T07:20:50.52Zb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999Estimated number of entities for this response.
For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns 100001 to indicate that more than 100,000 entities match. Returns -1 when counting is skipped or couldn't be calculated.
Use has_more and next to page through all results rather than relying on estimated_total for an exact count.
{ "data": [ { "id": "ntflog_01h8c0bswct46cwamynrzs6fwr", "response_code": 200, "response_content_type": "text/plain; charset=UTF-8", "response_body": "", "attempted_at": "2023-08-21T12:15:54.764232Z" }, { "id": "ntflog_01h8c04xjj1ybcgsawp54h5zkr", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T12:12:09.170559Z" }, { "id": "ntflog_01h8bzyx2g57ywng4edfnpycya", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T12:08:52.049462Z" }, { "id": "ntflog_01h8bzsp45tvprvrra1jq5m2n5", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T12:06:01.093936Z" }, { "id": "ntflog_01h8bzn9vr2j0hav6bqjvmfhwj", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T12:03:37.464996Z" }, { "id": "ntflog_01h8bzhqdt790wtmepa10we4ed", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T12:01:40.282965Z" }, { "id": "ntflog_01h8bzey4xs3txscjw7td3793c", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T12:00:08.861949Z" }, { "id": "ntflog_01h8bzcx9gwtcvf000ngvacnnw", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T11:59:02.448596Z" }, { "id": "ntflog_01h8bzb80ns1dtwmjsx311ztcw", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T11:58:07.893473Z" }, { "id": "ntflog_01h8bzame8ykt2zw5a11mxs110", "response_code": 404, "response_content_type": "application/json", "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}", "attempted_at": "2023-08-21T11:57:47.848991Z" } ], "meta": { "pagination": { "per_page": 50, "estimated_total": 10, "next": "https://api.paddle.com/notifications/ntf_01h8bzam1z32agrxjwhjgqk8w6/logs?after=ntflog_01h8bzame8ykt2zw5a11mxs110", "has_more": false }, "request_id": "b12dc646-6131-4801-b76a-b717d1aff37c" }}